diff tests/test-clone-failure @ 7927:a218ba5f60df

allow clone into existing but empty directories
author Steve Borho <steve@borho.org>
date Sun, 29 Mar 2009 16:15:06 -0500
parents 1b970cdab695
children 39566bb99a9c
line wrap: on
line diff
--- a/tests/test-clone-failure	Sun Mar 29 19:56:53 2009 -0300
+++ b/tests/test-clone-failure	Sun Mar 29 16:15:06 2009 -0500
@@ -43,4 +43,10 @@
 cd ..
 hg clone q
 
+# destination directory not empty
+mkdir a 
+echo stuff > a/a
+hg clone q a
+echo $?
+
 true